package cn.com.qmth.examcloud.common.dto.em;

import java.io.Serializable;


/**
 * 考试成绩表
 *
 * @author xudengqi
 *         2016年9月2日
 */
public class ExamScore implements Serializable {

    private static final long serialVersionUID = 5980724505064662051L;

    private Long id;
    /**
     * 考试记录
     */
    private ExamRecord examRecord;

    /**
     * 总分
     */
    private Double totalScore;

    /**
     * 客观题得分
     */
    private Double objectiveScore;
    
    /**
     * 客观题答对的比率
     * (客观题答对的题数/总题数)*100  取2位小数
     */
    private Double objectiveAccuracy;

    /**
     * 主观题得分
     */
    private Double subjectiveScore;

    /**
     * 答题正确率
     */
    private Double succPercent;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


    public ExamRecord getExamRecord() {
        return examRecord;
    }

    public void setExamRecord(ExamRecord examRecord) {
        this.examRecord = examRecord;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getSuccPercent() {
        return succPercent;
    }

    public void setSuccPercent(Double succPercent) {
        this.succPercent = succPercent;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public Double getObjectiveAccuracy() {
        return objectiveAccuracy;
    }

    public void setObjectiveAccuracy(Double objectiveAccuracy) {
        this.objectiveAccuracy = objectiveAccuracy;
    }
}
