package cn.com.qmth.examcloud.common.dto.oe.marking;

/**
 * Created by yuanpan on 2017/1/16.
 */
public class Paper {

	private Long pk;

	private String paperId;// bigint(20) DEFAULT NULL COMMENT '试卷ID',

	private String paperName;// varchar(128) DEFAULT NULL COMMENT '试卷名称',

	private String paperType;// varchar(128) DEFAULT NULL COMMENT '试卷名称',

	private Long batchId;// bigint(20) DEFAULT NULL COMMENT '批次id',

	private String paperHtml;// longtext COMMENT '试卷html',

	private String answerHtml;// longtext COMMENT '标准答案html',

	/**
	 * 客观题总分
	 */
	private Double objectiveTotalScore;

	/**
	 * 主观题总分
	 */
	private Double subjectiveTotalScore;

	/**
     *
     */
	private Double paperScore;

	/**
	 * 课程名称
	 */
	private String courseName;

	/**
	 * 课程代码
	 */
	private String courseCode;

	/**
	 * 专业层次
	 */
	private String specialtyLevel;

	/**
	 * 专业名称
	 */
	private String specialtyName;

	public Long getPk() {
		return pk;
	}

	public void setPk(Long pk) {
		this.pk = pk;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public String getPaperName() {
		return paperName;
	}

	public void setPaperName(String paperName) {
		this.paperName = paperName;
	}

	public Long getBatchId() {
		return batchId;
	}

	public void setBatchId(Long batchId) {
		this.batchId = batchId;
	}

	public String getPaperHtml() {
		return paperHtml;
	}

	public void setPaperHtml(String paperHtml) {
		this.paperHtml = paperHtml;
	}

	public String getAnswerHtml() {
		return answerHtml;
	}

	public void setAnswerHtml(String answerHtml) {
		this.answerHtml = answerHtml;
	}

	public Double getObjectiveTotalScore() {
		return objectiveTotalScore;
	}

	public void setObjectiveTotalScore(Double objectiveTotalScore) {
		this.objectiveTotalScore = objectiveTotalScore;
	}

	public Double getSubjectiveTotalScore() {
		return subjectiveTotalScore;
	}

	public void setSubjectiveTotalScore(Double subjectiveTotalScore) {
		this.subjectiveTotalScore = subjectiveTotalScore;
	}

	public Double getPaperScore() {
		return paperScore;
	}

	public void setPaperScore(Double paperScore) {
		this.paperScore = paperScore;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getSpecialtyLevel() {
		return specialtyLevel;
	}

	public void setSpecialtyLevel(String specialtyLevel) {
		this.specialtyLevel = specialtyLevel;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

}
